---
title: "Repair reporter report runs"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`POST /v2/reporter/report-runs/{id}/repair`

## Path parameters

- `id` (`reporter-report-runs-repair.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/reporter/report-runs/<id>/repair'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/report-runs/<id>/repair';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/report-runs/<id>/repair"

response = requests.post(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "reportingIntentId": "string",
    "accountingConnectionId": "15a34c5a-2153-4717-b80d-7b1b9ec1ead9",
    "status": "queued",
    "reportingPeriodStart": "string",
    "reportingPeriodEnd": "string",
    "generatedAt": "2019-08-24T14:15:22Z",
    "dataFreshnessAt": "2019-08-24T14:15:22Z",
    "outputUri": "string",
    "error": "string",
    "failureCode": "string",
    "executionDetail": {
      "property1": null,
      "property2": null
    },
    "attemptCount": 0,
    "maxAttempts": 0,
    "claimedAt": "2019-08-24T14:15:22Z",
    "leaseExpiresAt": "2019-08-24T14:15:22Z",
    "deadlineAt": "2019-08-24T14:15:22Z",
    "nextRetryAt": "2019-08-24T14:15:22Z",
    "completedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`reporter-report-runs-repair.response.200.data`; object, required)
  - `id` (`reporter-report-runs-repair.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`reporter-report-runs-repair.response.200.data.entityId`; string, required)
    - format `uuid`
  - `reportingIntentId` (`reporter-report-runs-repair.response.200.data.reportingIntentId`; string, required)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `accountingConnectionId` (`reporter-report-runs-repair.response.200.data.accountingConnectionId`; string, required)
    - format `uuid`
  - `status` (`reporter-report-runs-repair.response.200.data.status`; string, required)
    - one of `"queued"`, `"running"`, `"overdue"`, `"succeeded"`, `"failed"`
  - `reportingPeriodStart` (`reporter-report-runs-repair.response.200.data.reportingPeriodStart`; string, required)
    - minLength 1
  - `reportingPeriodEnd` (`reporter-report-runs-repair.response.200.data.reportingPeriodEnd`; string, required)
    - minLength 1
  - `generatedAt` (`reporter-report-runs-repair.response.200.data.generatedAt`; string, required, nullable)
    - format `date-time`
  - `dataFreshnessAt` (`reporter-report-runs-repair.response.200.data.dataFreshnessAt`; string, required, nullable)
    - format `date-time`
  - `outputUri` (`reporter-report-runs-repair.response.200.data.outputUri`; string, required, nullable)
    - minLength 1
  - `error` (`reporter-report-runs-repair.response.200.data.error`; string, required, nullable)
    - minLength 1
  - `failureCode` (`reporter-report-runs-repair.response.200.data.failureCode`; string, required, nullable)
    - minLength 1
  - `executionDetail` (`reporter-report-runs-repair.response.200.data.executionDetail`; map<unknown>, required)
  - `attemptCount` (`reporter-report-runs-repair.response.200.data.attemptCount`; integer, required)
    - min 0
  - `maxAttempts` (`reporter-report-runs-repair.response.200.data.maxAttempts`; integer, required)
    - min 0
  - `claimedAt` (`reporter-report-runs-repair.response.200.data.claimedAt`; string, required, nullable)
    - format `date-time`
  - `leaseExpiresAt` (`reporter-report-runs-repair.response.200.data.leaseExpiresAt`; string, required, nullable)
    - format `date-time`
  - `deadlineAt` (`reporter-report-runs-repair.response.200.data.deadlineAt`; string, required)
    - format `date-time`
  - `nextRetryAt` (`reporter-report-runs-repair.response.200.data.nextRetryAt`; string, required, nullable)
    - format `date-time`
  - `completedAt` (`reporter-report-runs-repair.response.200.data.completedAt`; string, required, nullable)
    - format `date-time`
  - `createdAt` (`reporter-report-runs-repair.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`reporter-report-runs-repair.response.200.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`reporter-report-runs-repair.response.200.meta`; object, optional)
  - `timestamp` (`reporter-report-runs-repair.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.400.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.401.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.403.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.404.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.409.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.422.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-repair.response.500.error`; object, required)
  - `code` (`reporter-report-runs-repair.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-repair.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-repair.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-repair.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-report-runs-repair/index.md
